Early Preview
This API is in early preview and may be subject to change. Please contact your account manager if you are interested in trying the Branding API.
Use this API to list custom error messages. At this time, it is not possible to create a new custom message, only to modify existing messages.
Resource URL
https://<api-domain>/api/2/branding/brands/<brand_id>/custom_error_messagesHeader Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: In order to use the Branding API your API Credentials must be created after 21st October 2020. |
Content-Type required string | Set to application/json. |
Resource Parameters
brand_id required integer | master | Unique identifier for the branding object. |
Request Parameters
Acceptable Parameter Combinations
- None (empty)
- ID
- Locale
- Type ID
- Type Name
- Type ID + Locale
- Type Name + Locale
id optional integer | Unique identifier for custom error message. |
type_id optional integer | Type ID for the custom error message. Acceptable values:
|
type_name optional integer | Type name for the custom error message. Acceptable values:
|
locale optional string | Locale of the custom error message. |
Sample Responses
- 200 OK
{
"type_id": 9,
"locale": "en",
"title": "Access Denied",
"description": "This message will appear when the user doesn't have access to certain application",
"message": "This is from the global legacy access denied"
}Postman Collection
Replace sample variables indicated by {{ }} with your actual values.
- Clicking Run in Postman button navigates to the page where you can fork the collection to your workspace. Forking the collection into your workspace will enable you to contribute to the source collection using pull requests. You can also view the collection in a public workspace if you like and even import a copy of the collection using the links present on the screen.
Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.